<?php
// Başlık yoksa varsayılan bir başlık tanımla
if (!isset($title)) {
    $title = "İstanbul Korsan Taksi";
}
?>
<?php
// İlk kelimeyi al
$locationName = substr($title, 0, strpos($title, " "));
?>

<!DOCTYPE html>
<html lang="tr">

<head>
    <title>
        <?php
        echo htmlspecialchars($title);
        $numbers = file('system/ara.txt', FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
        if ($numbers) {
            $number = trim($numbers[0]); // İlk numarayı al
            $cleanNumber = preg_replace('/[^0-9]/', '', $number);
            $formattedNumber = '0' .
                substr($cleanNumber, 2, 3) . ' ' .
                substr($cleanNumber, 5, 3) . ' ' .
                substr($cleanNumber, 8, 2) . ' ' .
                substr($cleanNumber, 10, 2);
            echo " | " . $formattedNumber;
        }
        ?> Güvenli, Ucuz, 7/24 Çalışan Size En Yakın Korsan Taksi - Yön Taksi
    </title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=5">

    <!-- Genel Meta Etiketler -->
    <meta name="description" content="Yön Taksi olarak <?php echo htmlspecialchars($locationName, ENT_QUOTES, 'UTF-8'); ?> Korsan Taksi ile 7/24 güvenli ve ucuz ulaşım sağlıyoruz : <?php
          $numbers = file('ara.txt', FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
          if ($numbers) {
              $number = trim($numbers[0]);
              $cleanNumber = preg_replace('/[^0-9]/', '', $number);
              $formattedNumber = '0' .
                  substr($cleanNumber, 2, 3) . ' ' .
                  substr($cleanNumber, 5, 3) . ' ' .
                  substr($cleanNumber, 8, 2) . ' ' .
                  substr($cleanNumber, 10, 2);
              echo $formattedNumber;
          }
          ?>. Size en yakın korsan taksi için telefon numaralarımızdan bizi arayabilirsiniz." />
    <meta name="keywords"
        content="Korsan Taksi, <?php echo htmlspecialchars($locationName, ENT_QUOTES, 'UTF-8'); ?> Korsan Taksi, 7/24 Korsan Taksi, En Yakın Korsan Taksi, En Ucuz Korsan Taksi, <?php echo htmlspecialchars($locationName, ENT_QUOTES, 'UTF-8'); ?> Korsan Taksi Telefon Numarası, Şehirlerarası Korsan Taksi" />
    <meta name="author" content="yontaksi" />

    <!-- Sosyal Medya Meta Etiketleri (Open Graph) -->
    <meta property="og:title" content="Yontaksi.com Korsan Taksi" />
    <meta property="og:description"
        content="Yön Taksi olarak <?php echo htmlspecialchars($locationName, ENT_QUOTES, 'UTF-8'); ?> Korsan Taksi ile 7/24 güvenli ve ucuz ulaşım sağlıyoruz. Size en yakın korsan taksi için telefon numaralarımızdan bizi arayabilirsiniz." />
    <meta property="og:image" content="images/og-image.jpg" />
    <meta property="og:url" content="https://yontaksi.com" />
    <meta property="og:type" content="website" />

    <!-- Twitter Meta Etiketleri -->
    <meta name="twitter:card" content="summary_large_image" />
    <meta name="twitter:title" content="Yontaksi.com Korsan Taksi" />
    <meta name="twitter:description"
        content="Yön Taksi olarak <?php echo htmlspecialchars($locationName, ENT_QUOTES, 'UTF-8'); ?> Korsan Taksi ile 7/24 güvenli ve ucuz ulaşım sağlıyoruz. Size en yakın korsan taksi için telefon numaralarımızdan bizi arayabilirsiniz." />
    <meta name="twitter:image" content="images/twitter-image.jpg" />

    <!-- Canonical URL -->
    <link rel="canonical" href="https://yontaksi.com" />

    <!-- Favicon -->
    <link rel="icon" type="image/png" href="images/favicon.png" />

    <!-- Kritik CSS'i inline olarak ekleyelim -->
    <style>
        /* Sadece ilk görünüm için gerekli olan CSS */
        body {
            margin: 0;
            padding: 0;
            font-family: Arial, sans-serif;
        }

        .header {
            /* Header stilleri */
        }

        /* Diğer kritik stiller */
    </style>

    <!-- Diğer CSS'leri defer edelim -->
    <link rel="preload" href="/assets/css/style.css" as="style" onload="this.onload=null;this.rel='stylesheet'">
    <noscript>
        <link rel="stylesheet" href="/assets/css/style.css">
    </noscript>

    <!-- CSS ve Fontlar -->
    <link rel="stylesheet" href="assets/css/main.css" />

    <link rel="stylesheet" href="/assets/css/fontawesome/all.min.css">
</head>

<body>

    <!-- Header -->
    <div class="header-container">
        <!-- Logo -->
        <div class="logo-container">
            <div class="header-content">
                <a href="index.html" class="logo">
                    <img src="images/yonTaksiLogo.webp" alt="Yön Taksi Logo" class="desktop-logo" />
                    <img src="images/yontaksimobil.webp" alt="Yön Taksi Logo" class="mobile-logo" />
                </a>
                <div class="slogan">
                    İstanbul'un en iyi korsan taksi hizmeti
                </div>
            </div>
            <!-- Mobil Menü Butonu -->
            <div class="mobile-menu-toggle" style="margin:25px 25px 0 0;">

                <i class="fas fa-bars"></i>
            </div>
        </div>
        <!-- Nav -->
        <div class="nav-container">
            <nav id="nav">
                <ul>
                    <li><a href="index.html" title="Ana Sayfa">Ana Sayfa</a></li>
                    <li><a href="yon-korsan-taksi-duragi.html" title="">Hakkımızda</a></li>
                    <li><a href="istanbul-korsan-taksi.html" title="İstanbul Korsan Taksi">İstanbul Korsan Taksi</a>
                    </li>
                    <li><a href="sehirlerarasi-korsan-taksi.html" title="Şehirlerarası Korsan Taksi">Şehirlerarası
                            Korsan Taksi</a></li>
                    <li><a href="korsan-taksi-soforlugu.html" title="Korsan Taksi Şoförlüğü">Korsan Taksi Şoförlüğü</a>
                    </li>
                    <li><a href="yon-korsan-taksi-iletisim-telefon.html" title="İletişim">İletişim</a></li>
                </ul>
            </nav>
        </div>
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', function () {
            const menuToggle = document.querySelector('.mobile-menu-toggle');
            const navContainer = document.querySelector('.nav-container');
            let isMenuOpen = false;

            menuToggle.addEventListener('click', function () {
                isMenuOpen = !isMenuOpen;
                navContainer.style.display = isMenuOpen ? 'block' : 'none';
                menuToggle.innerHTML = isMenuOpen ?
                    '<i class="fas fa-times"></i>' :
                    '<i class="fas fa-bars"></i>';
            });
        });
    </script>